<?
include_once"banzz/banzz.php";
include 'inclydings/sesi.php';
include 'inclydings/gzips.php';
include 'inclydings/ini.php';
include 'inclydings/golova.php';
include_once("inclydings/antidos.php");
echo'<div class = "up" ></div><div class = "body" ><script src="images/sneg.js"></script><left><img src="images/logo.png"></left><br/>';
echo"<left>";


if (isset($error))
{ echo'Нет дружок введи правельные данные!<br/>'; }
if($game=="svyaz"){
echo 'Связаться с администрацией можно через «Центр Поддержки» в игре.<br/><br/>';
echo 'E-mail: suppport.lineage2@yandex.ru<br/><br/>';
echo '<b>Онлайн поддержка</b><br/>';
echo '
<img src="http://wwp.icq.com/scripts/online.dll?icq=5364644&img=5" border="0" /><b>WiHdOvS (Cергей)-ICQ - 53-64-644</b><br/><br/>
Будем рады ответить на ваши вопросы, предложения, пожелания*<br/>
<br/><a href="index.php?'.$sd.'">На главную</a><br/>';
echo'</div>';
echo'<div class="foot">';
info_compress();
exit;
}
if($game=="regis"){
$key=rand(1000000,9999999);
$nick=$_POST[nick];
$pass=$_POST[pass];
$topas=$_POST[topas];
$pol=$_POST[pol];
require_once "inclydings/flood.php";
if (CheckIP ()){echo"Регистрироватся можно 1 раз в 10 секунд.<br/>
<a href=\"registration.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php'; exit;}
if(empty($nick)){echo"Не введен логин.<br/>
<a href=\"registration.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php'; exit;}
if(empty($pass)){echo"Не введен пароль.<br/>
<a href=\"registration.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php';  exit;}
if(eregi("[^a-z0-9-]",$nick)){echo"Логин содержит запрещенные символы.<br/>
<a href=\"registration.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php';  exit;}
if(eregi("[^a-z0-9-]",$pass)){echo"Пароль содержит запрещенные символы.<br/>
<a href=\"registration.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php';  exit;}




$brow=htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));
$ip=htmlspecialchars(stripslashes($_SERVER['REMOTE_ADDR']));

$reg = @file("L2dbnam/esql2db/reg/$nick.dat");
$del = explode(":||:",$reg[0]);

$zan=strcasecmp($del[0], $nick);
if($zan=="0"){echo' Этот ник уже находится в базе данных, придумайте себе другой.<br/>';
include_once"inclydings/nogi.php";
exit;}
if($rassa==gnom){
if($klas==wizard){
echo"Гномы не могут быть магами.<br/>
<a href=\"registration.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php'; exit;}}

if(empty($nick) || empty($pass) || empty($pol) || empty($email)) {echo'<small>Данные необходимые для регистрации введены некоректно!</small><br/>';


echo'<a href="reg.php">Вернуться к регистрации</a><br/>';
include_once"inclydings/nogi.php";
exit;}

if (!eregi("^[A-za-z0-9]+",  $email)){echo'Введеннок вами Секретное слово неверно! Оно должно выглядить так (Пример) - TEST<br>';
echo'<a href="registration.php">Вернуться к регистрации</a><br/>';

include_once"inclydings/nogi.php";
exit;}

if (@file("L2dbnam/esql2db/reg/$nick.dat")) {print"Такой логин уже есть у нас в системе!<br/><a href=\"registart.php\"><br/>";}else {
$data=date("d F, Y", time());
$time=date("H:i:s", time());
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);



$nick = htmlspecialchars(stripslashes($nick));

$nick=str_replace("GM","", $nick);
$nick=str_replace("gm","", $nick);

$email=htmlspecialchars(stripslashes($email));
$email=strtolower($email);




$password = md5($pass);

if($rassa=="human"){$gorod="Talking Island Village"; $all="50"; }
if($rassa=="gnom"){$gorod="Dwarven Village"; $all="100"; }
if($rassa=="elf"){$gorod="Elven Village";  $all="60";  }
if($rassa=="darkelf"){$gorod="Dark Elven Village";  $all="75";  }
if($rassa=="ork"){$gorod="Orc Village";  $all="100";  }
if($rassa=="kamael"){$gorod="Kamael Village";  $all="100";  }
if($klas=="wizard"){$mp="150"; $cp="75";}
if($klas=="fighert"){$mp="50"; $cp="100";}

$text=$nick.':||:'.$password.':||:'.$pol.':||:5:||:5:||:5:||:0:||:0:||:0:||:0:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:0:||:1:||:'.$all.':||:'.$all.':||:'.$email.':||:0:||:'.$gorod.':||::||:1:||::||::||::||:'.$rassa.':||:'.$klas.':||:'.$data.':||:'.$mp.':||:'.$mp.':||:0:||::||::||:0:||::||::||:Shadow of the Monster Tree:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:'.$cp.':||:'.$cp.':||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:style:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:12:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:0:||:Пусто:||:5:||:0:||:';


$fp=fopen("L2dbnam/esql2db/reg/$_POST[nick].dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/reg/$nick.dat", 0666);
$message="Добро пожаловать в мир Линейки!Рекомендуем ознакомиться c <font color=lime><a href=\"main.php?$sd&go=pravila\">правилами игри</a></font>,изучить игровой процесс в <font color=lime><a href=\"faq.php?$sd\">бибилиотеке</a></font>.Ответы на возникшие вопросы, всегда можно получить в <font color=lime><a href=\"chat.php?$sd\">чате</font></a>,у <font color=lime><a href=\"main.php?$sd&go=elite\">официальных консультантов игры</font></a>,или же в <font color=lime><a href=\"helpcenter.php?$sd\">центре поддержки</a></font>.<br>---<br>Для получения бонусного снаряжения,перейдите в моё меню/Город/Менеджер путешественников.<br>Приятной игры!";

$message=base64_encode($message);

$pozdr=":::Система|".$message."|".$data;

$fp=fopen("L2dbnam/esql2db/msg/$nick.msg","w");
flock($fp,LOCK_EX);
fputs($fp,"$pozdr \r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/msg/$nick.msg", 0666);

$text = @file("L2dbnam/esql2db/newlog.dat");
$new = explode(":||:",$text[0]);
$new[0]=$new[0]+1;
$text=$new[0].':||:';
$fp=fopen("L2dbnam/esql2db/newlog.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/newlog.dat", 0666);

if($klas=="wizard"){
$mag="10||5||100||active||combat||||Магия для новичков||Shot||newmags||mag||";}
if($klas=="fighert"){
$mag="10||5||100000||active||combat||||Супер удар для новичков||Shot||newudar||fighert||";}
$fp=fopen("L2dbnam/esql2db/mag/$nick.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$mag\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/mag/$nick.dat", 0666);

print"Вы успешно зарегистрированы. В онлайн игре LINEAGE!<br/> Ваш ник: ".$nick." <br/>Ваш пароль: ".$pass."<br/>Ваше секретное слово: ".$email."<br/><br/><b>Запомните данные и никому не сообщайте!<br/><br/>
<a href=\"enter.php?log=".$nick."&amp;pas=".$pass."\">Пройти через ворота</a><br/><br/>Ссылка для автоматического входа:<br/>
http://l2servak.ru/enter.php?log=$nick&pas=$pass<br/>Скопируйте адрес:<br/><input name=\"enter\" value=\"http://l2servak.ru/enter.php?log=$nick&pas=$pass\"/><br/><br/>";
}
echo'</div>';
echo'<div class="foot">';
info_compress();
exit;
}
if($game=="pas"){
echo "<form action=\"index.php?game=go\" method=\"post\">Ведите ваш ник:<br/>";
echo "<input class=\"button\" name=\"name\" maxlength=\"15\" title=\"name\"/><br/>";
echo "Cекретное слово:<br/>";
echo "<input class=\"button\" name=\"email\" maxlength=\"20\" title=\"email\"/><br/>";
echo "<input class=\"button\" type=\"submit\" value=\"Готово\" /></form>";
echo "<br/><br/><a href=\"index.php\">На главную</a><br/><br/>";
echo'</div>';
echo'<div class="foot">';
info_compress();
exit;
}
if($game=="go"){

if(!empty($name)){
$text = @file("L2dbnam/esql2db/reg/$name.dat");
$udata = explode(":||:",$text[0]);
$mail=$udata[18];
}else{echo'Вы не ввели необходимые данные<br/>';
echo "</p></body></html>"; exit;}

if($_POST[email]!==$mail || $mail=="") {echo' Вы ввели несоответствующие данные, пароль не может быть восстановлен!<br/>';
echo "</p></body></html>"; exit;} else {



$newpassword =uniqid("F");
$newpas=substr($newpassword,6);
$kods=md5($newpas);

mail($udata[18],$subject,$mail,$adds);

echo "Вы успешно восстановили пароль<br>Для персонажа $name<br>Новый пароль: $newpas<br>Вы можете успешно заходить в игру!<br><br/>";
echo '<a href="index.php?">Войти в игру</a><br/><br/>';

$fal = @file("L2dbnam/esql2db/reg/$name.dat");
$udata = explode(":||:",$fal[0]);

$text=$udata[0].':||:'.$kods.':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$name.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  }
echo'</div>';
echo'<div class="foot">';
info_compress();
exit;
}
if($game=="reg"){
$req = mysql_query("SELECT * FROM `table_rega` WHERE `rega` = '1' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==1){echo"Регистрация временно закрыта администраторами игры!";
echo'</div>';  echo'<div class="foot">';  info_compress();
exit;}
echo"<center>Регистрация</center>";
echo"<hr>";
echo '<form action="index.php?game=regis&'.$sd.'" method="post">';
echo"<font color=lime><b>Ник:</b></font><br/>";
echo"Необходимо для входа в игру. Имя вашего персонажа. Оно может содержать буквы латинского алфавита, цифры. Должен быть не более 15 символов и не менее 6.<br/><input class=\"button\" type=\"text\" name=\"nick\" maxlength=\"15\"/><br/>";
echo"<font color=lime><b>Пароль:</b></font><br/>";
echo"Пароль может содержать буквы латинского алфивита, цифры. Не более 23 символов и не менее 6. <u>Не указывайте простые пароли!</u><br/><input class=\"button\" name=\"pass\" type=\"password\" maxlength=\"23\"/><br/>";
echo"<font color=lime><b>Cекретное слово:</b></font><br/>";
echo"Нужно будет для восстановления пароля (не более 20 символов ланиницей, цыфры)<br/><input class=\"button\" type=\"text\" name=\"email\" maxlength=\"20\"/><br/>";
echo "<font color=lime><b>Расса:</b></font><br/><select name=\"rassa\">

<option value=\"human\">Человек</option>
<option value=\"gnom\">Гном</option>
<option value=\"elf\">Светлый эльф</option>
<option value=\"darkelf\">Темный эльф</option>
<option value=\"ork\">Орк</option>
<option value=\"kamael\">Камаэль</option>
</select>";
echo "<br/>";
echo "<font color=lime><b>Пол:</b></font><br/><select name=\"pol\"><option value=\"M\">Парень</option>
<option value=\"Ж\">Леди</option></select><br/>";
echo "<font color=lime><b>Тип:</b></font><br/><select name=\"klas\">
<option  value=\"wizard\">Маг</option>
<option value=\"fighert\">Воин</option></select><br/>";

echo '<input class="button" type="submit" value="Cоздать персонажа" /></form>';
echo"<hr>";
echo"<br/><a href=\"index.php?$sd\"><center>На главную</center></a><br/>";
echo'</div>';
echo'<div class="foot">';
info_compress();
exit;
}
if($game=="statik"){
echo "
Наш мир постоянно развивается и дополняется,все больше людей присоединяются к увлекательным процессам игры.";
echo "<br/>- - -<br/>";
echo "Статистика игры";
echo "<br/>- - -<br/>";
$text = @file("L2dbnam/esql2db/newlog.dat");
$new = explode(":||:",$text[0]);
$duuu=opendir("L2dbnam/esql2db/reg");
$all = 0;
while(($k=readdir($duuu))!==false){
if ($k=='.'||$k=='..'||$k=='.htaccess'||$k=='index.php') continue; $all++;} closedir($duuu);
echo' Регистраций:'.number_format($all).'<br>  Сегодня новичков: '.$new[0].'<br>';
$dir = @opendir ("L2dbnam/esql2db/tmp");
while ($file2 = @readdir ($dir))
{
$filtime=@filemtime("L2dbnam/esql2db/tmp/$file2");
$filtime=$filtime+(150);
$ttime=time();
if($filtime>=$ttime){
if (ereg(".dat$", "$file2"))
{

$cc[]=$file2;	}}}
@closedir ($dircc);
$all = count($cc);
echo'Игроков в бою: '.$all.'<br/>';
$duuu=opendir("L2dbnam/esql2db/clan");
$all = 0;
while(($k=readdir($duuu))!==false){
if ($k=='.'||$k=='..'||$k=='pravila'||$k=='name'||$k=='tmp'||$k=='bank'||$k=='blocksklad'||$k=='chat'||$k=='clanholl'||$k=='coin'||$k=='desk'||$k=='kazna'||$k=='kaznacoin'||$k=='kaznagold'||$k=='logs'||$k=='logscoin'||$k=='logsgold'||$k=='site'||$k=='sklad'||$k=='status'||$k=='zahvat'||$k=='zam'||$k=='gold') continue; $all++;} closedir($duuu);
echo'Кланов: '.$all.'<br/>';
$duuu=opendir("L2dbnam/esql2db/ali");
$all = 0;
while(($k=readdir($duuu))!==false){
if ($k=='.'||$k=='..'||$k=='name'||$k=='chat'||$k=='bank'||$k=='desk'||$k=='sklad'||$k=='log') continue; $all++;} closedir($duuu);
echo'Альянсов: '.$all.'<br/>';
$duuu=opendir("L2dbnam/esql2db/mob");
$all = 0;
while(($k=readdir($duuu))!==false){
if ($k=='.'||$k=='..'||$k=='.htaccess'||$k=='index.php') continue; $all++;} closedir($duuu);
echo'Монстров: '.$all.'<br/>';
$duuu=opendir("L2dbnam/esql2db/drop");
$all = 0;
while(($k=readdir($duuu))!==false){
if ($k=='.'||$k=='..'||$k=='.htaccess'||$k=='index.php') continue; $all++;} closedir($duuu);
echo' Ресурсов: '.number_format($all).'<br/>';
echo"Городов<b>17</b></br>";
echo "- - -<br/>";
echo"<b>Рейты сервера</b></br>
Адена: x4<br/>
Опыт: x3<br/>
SP: x2<br/>
<b>Общий рейтинг: x3</b><br/>
<b>Рейты VIP акаунтов</b><br/>
Адена: x8<br/>
Опыт: x6<br/>
SP: x6<br/>
<b>Общий рейтинг: x6</b><br/>";
echo "- - -<br/>";
echo"Статистика крафта<br/>
D - 20 lvl<br/>
C - 40 lvl<br/>
B - 52 lvl<br/>
A - 62 lvl<br/>
S - 76 lvl<br/>
Какие рецепты нужно што б скрафтить<br/>
D - Recipe D, Recipe Boot D, Recipe Helm D, Recipe Weapon D, Recipe Robe D.<br/>
C - Recipe C, Recipe Boot C, Recipe Helm C, Recipe Weapon C, Recipe Robe C.<br/>
B - Recipe B, Recipe Boot B, Recipe Helm B, Recipe Weapon B, Recipe Robe B.<br/>
A - Recipe A, Recipe Boot A, Recipe Helm A, Recipe Weapon A, Recipe Robe A.<br/>
S - Recipe S, Recipe Boot S, Recipe Helm S, Recipe Weapon S, Recipe Robe S.
<br/><br/><a href=\"index.php\">На главную</a><br/><br/>";
echo'</div>';
echo'<div class="foot">';
info_compress();
exit;
}
if($game=="osada"){
echo"<b>Замки</b><br/><br/>";
$text = @file("L2dbnam/esql2db/clan/zahvat/Gludio Village.dat");
$data23 = explode(":||:",$text[0]);
echo"Город <b>Gludio Village</b><br/>
Под управлением клана: <b>$data23[1]</b>";
echo'<br/><img src="pik4erspic/city/gludio.gif"><br/><br/>';

$text = @file("L2dbnam/esql2db/clan/zahvat/Dion Town.dat");
$data23 = explode(":||:",$text[0]);
echo"Город <b>Dion Town</b><br/>
Под управлением клана: <b>$data23[1]</b>";
echo'<br/><img src="pik4erspic/city/dion.gif"><br/><br/>';

$text = @file("L2dbnam/esql2db/clan/zahvat/Oren Town.dat");
$data23 = explode(":||:",$text[0]);
echo"Город <b>Oren Town</b><br/>
Под управлением клана: <b>$data23[1]</b>";
echo'<br/><img src="pik4erspic/city/oren.gif"><br/><br/>';

$text = @file("L2dbnam/esql2db/clan/zahvat/Rune Township.dat");
$data23 = explode(":||:",$text[0]);
echo"Город <b>Rune Township</b><br/>
Под управлением клана: <b>$data23[1]</b>";
echo'<br/><img src="pik4erspic/city/rune.gif"><br/><br/>';

$text = @file("L2dbnam/esql2db/clan/zahvat/Shtutgart Town.dat");
$data23 = explode(":||:",$text[0]);
echo"Город <b>Shtutgart Town</b><br/>
Под управлением клана: <b>$data23[1]</b>";
echo'<br/><img src="pik4erspic/city/schuttart.gif"><br/><br/>';

$text = @file("L2dbnam/esql2db/clan/zahvat/Heine.dat");
$data23 = explode(":||:",$text[0]);
echo"Город <b>Heine</b><br/>
Под управлением клана: <b>$data23[1]</b>";
echo'<br/><img src="pik4erspic/city/heine.gif"><br/><br/>';


$text = @file("L2dbnam/esql2db/clan/zahvat/Giran Castle Town.dat");
$data23 = explode(":||:",$text[0]);
echo"Город <b>Giran Castle Town</b><br/>
Под управлением клана: <b>$data23[1]</b>";
echo'<br/><img src="pik4erspic/city/giran.gif"><br/><br/>';

$text = @file("L2dbnam/esql2db/clan/zahvat/Godard Town.dat");
$data23 = explode(":||:",$text[0]);
echo"Город <b>Godard Town</b><br/>
Под управлением клана: <b>$data23[1]</b>";
echo'<br/><img src="pik4erspic/city/goddard.gif"><br/><br/>';

$text = @file("L2dbnam/esql2db/clan/zahvat/Aden Castle Town.dat");
$data23 = explode(":||:",$text[0]);
echo"Город <b>Aden Castle Town</b><br/>
Под управлением клана: <b>$data23[1]</b>";
echo'<br/><img src="pik4erspic/city/aden.gif"><br/><br/>';

echo"<a href=\"index.php?$sd\">На главную</a><br/><br/>";
echo'</div>';
echo'<div class="foot">';
info_compress();
exit;
}
if($game=="allnews"){
$g=mysql_query("SELECT * FROM `table_news` WHERE `id`='$id' LIMIT 1");
if(mysql_num_rows($g)==0){echo "Такой новости нет";
echo'</div>';
echo'<div class="foot">';
info_compress();
exit;
}
$result666 = mysql_query("SELECT * FROM `table_news` WHERE `id`='".$id."'");
$new = mysql_fetch_array($result666);
echo '<b>'.$new['zag'].'</b> ('.$new['time'].')<br/>'.$new['novost'].'<br/>Автор: <i>'.$new['autor'].'</i>';
echo "<li><a href=\"index.php?game=news\">Назад</a>";
echo "<li><a href=\"index.php\">На главную</a>";
echo'</div>';
echo'<div class="foot">';
info_compress();
exit;
}

if($game=="news"){
$num = mysql_fetch_array(mysql_query("select count(id) as num from table_news"));
echo "<br /><div class=\"head\">Новостей ( <b>".$num[0]."</b> )</div><br/>\n";
echo "<b>Новости:</b><br/>";
if(empty($startan)) $startan = 0;
$startan=intval($startan);
if($startan<0) $startan=0; $num_msgs_an=5;
$qi = mysql_query("SELECT * FROM `table_news` ORDER by `id` DESC  LIMIT $startan,$num_msgs_an");
$i=$startan+1;
while($row=mysql_fetch_array($qi))
{
$row["novost"] = mb_substr ($row["novost"], 0, 40, 'UTF-8');
echo ''.$i++.'] <b>'.$row['zag'].'</b> ('.$row['time'].')<br/>'.$row['novost'].'...<br/>Автор: <i>'.$row['autor'].'</i><li><a href="index.php?id='.$row['id'].'&game=allnews">Читать полностью</a><br/><br/>';
}
$q = mysql_query("SELECT COUNT(`id`) FROM `table_news`");
$kol = mysql_result($q, 0);
echo "- - -<br/>";
if($startan!= 0) $page2left = ' <a href= index.php?game=news&startan='. ($startan - 5) .'&page='.($page-1).'>'. ($page - 1) .'</a> | ';
if(empty($page)){$page=1;}
if($kol > $startan + 5) $page2right = ' | <a href= index.php?game=news&startan='. ($startan + 5) .'&page='. ($page+1) .'>'. ($page + 1) .'</a>';
echo $page2left.'<b>('.$page.')</b>'.$page1right.$page2right.'<br/>';


if ($startan != 0) {echo '<a href="index.php?game=news&startan='.($startan - 5).'&page='.($page-1).'">Назад</a> ';}

if ($kol > $startan + 5) {echo ' <a href="index.php?game=news&startan='.($startan + 5).'&page='.($page+1).'">Далее</a>';}
echo "<li><a href=\"index.php\">Назад</a>";
echo'</div>';
echo'<div class="foot">';
info_compress();
exit;
}
if($game=="online"){
$num = mysql_fetch_array(mysql_query("select count(nick) as num from table_online"));
echo "<br /><div class=\"head\">Всего в мире ( ".$num[0]." )</div><br/>\n";
$g=mysql_query("SELECT * FROM `table_online` LIMIT 1");
if(mysql_num_rows($g)==0){
echo "В мире никого нет<br/>";
}
if(empty($startan)) $startan = 0;
$startan=intval($startan);
if($startan<0) $startan=0; $num_msgs_an=10;
$qi = mysql_query("SELECT * FROM `table_online` ORDER by `nick` DESC  LIMIT $startan,$num_msgs_an");
$i= $startan+1;
while($row=mysql_fetch_array($qi))
{
$result666 = mysql_query("SELECT * FROM `tb_uzers` WHERE `nick`='".$row[nick]."'");
$ga = mysql_fetch_array($result666);
$g=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='$row[nick]' LIMIT 1");
if(mysql_num_rows($g)==1){
echo ''.$i++.'. <font color=lime><b>'.$row['nick'].'</b></font></a><b> [A]</b></a><br/>';
}else{
$g=mysql_query("SELECT * FROM `table_moder` WHERE `nick`='$row[nick]' LIMIT 1");
if(mysql_num_rows($g)==1){
echo ''.$i++.'. <font color=blue><b>'.$row['nick'].'</b></font></a><b> [M]</b></a><br/>';
}else{
$g=mysql_query("SELECT * FROM `table_vip` WHERE `nick`='$row[nick]' LIMIT 1");
if(mysql_num_rows($g)==1){
echo ''.$i++.'. <font color=yellow>'.$row['nick'].'</font>[<b>Вип игрок</b>]<br/>';
}else{
$g=mysql_query("SELECT * FROM `table_konsultant` WHERE `nick`='$row[nick]' LIMIT 1");
if(mysql_num_rows($g)==1){
echo ''.$i++.'. <font color=#FFFAFA><b>'.$row['nick'].'</b></font></a><b> [K]</b><br/>';
}else{
echo ''.$i++.'. '.$row['nick'].'<br/>';
}}}}
}
$q = mysql_query("SELECT COUNT(`nick`) FROM `table_online`");
$kol = mysql_result($q, 0);
echo "- - -<br/>";
if($startan!= 0) $page2left = ' <a href= index.php?game=online&startan='. ($startan - 10) .'&page='.($page-1).'>'. ($page - 1) .'</a> | ';

if(empty($page)){$page=1;}
if($kol > $startan + 10) $page2right = ' | <a href= index.php?game=online&startan='. ($startan + 10) .'&page='. ($page+1) .'>'. ($page + 1) .'</a>';
echo $page2left.'<b>('.$page.')</b>'.$page1right.$page2right.'<br/>';
if ($startan != 0) {echo '<a href="index.php?game=online&startan='.($startan - 10).'page='.($page-1).'">Назад</a> ';}
if ($kol > $startan + 10) {echo ' <a href="index.php?game=online&startan='.($startan + 10).'&page='.($page+1).'">Далее</a>';}
echo "<li><a href=\"index.php\">Назад</a>";
echo'</div>';
echo'<div class="foot">';
info_compress();
exit;
}

if($game=="partner"){
$num = mysql_fetch_array(mysql_query("select count(id) as num from table_partners"));
echo 'У вас есть сайт? И вы хотите стать нашим  партнером? Тоди пишете администратору в личку! <br/><br/>';
if($num[0]=="0"){echo "Партнёров пока нет";
echo "<li><a href=\"index.php\">Назад</a>";
echo'</div>';
echo'<div class="foot">';
info_compress();
exit;
}
echo "<div class=\"head\"><br />Партнёров { ".$num[0]." }</div><br/>\n";
echo 'У вас есть сайт? И вы хотите стать нашим  партнером? Тоди пишете администратору в личку! <br/><br/>';
if(empty($startan)) $startan = 0;
$startan=intval($startan);
if($startan<0) $startan=0; $num_msgs_an=5;
$qi = mysql_query("SELECT * FROM `table_partners` ORDER by `id` DESC  LIMIT $startan,$num_msgs_an");
while($row=mysql_fetch_array($qi))
{
echo ''.$row['id'].'} <a href="http://'.$row['sait'].'">'.$row['names'].'</a> - '.$row['opis'].'<br/>';
}
$q = mysql_query("SELECT COUNT(`nick`) FROM `table_partners`");
$kol = mysql_result($q, 0);
if ($startan != 0) {echo '- - -<br/><a href="index.php?game=partner&startan='.($startan - 5).'">Назад</a> ';}
if ($kol > $startan + 5) {echo ' <a href="index.php?game=partner&startan='.($startan + 5).'">Далее</a>';}
echo "<li><a href=\"index.php\">Назад</a>";
echo'</div>';
echo'<div class="foot">';
info_compress();
exit;
}
echo "<b>Lineage II</b> - Мир, созданный древними богами и их же волей ввергнутый в войну, ждет своих  героев.<br/>";
echo'<form method="post" action="enter.php">';
echo"<hr>";
echo'<p align="center">';
echo "<b>Имя пользователя:</b><br/>";
echo "<input class=\"button\" name=\"log\" maxlength=\"20\" title=\"nick\" emptyok=\"true\"/><br/>";
echo "Пароль: <br/>";
echo "<input  class=\"button\" name=\"pas\" type=\"password\"  maxlength=\"20\" title=\"password\" emptyok=\"true\"/><br/><br/>";
echo '<input class="button" type="submit" value="Пройти через ворота"/></form>';
echo'<p align="center">';
$tik=mysql_query("SELECT * FROM `table_news` ORDER by `id` DESC");
$dat=mysql_fetch_array($tik);
echo"<center><div class=\"menus\"><a href=\"index.php?game=news\">Новости</a>($dat[time])";
echo"<a href=\"info_faq.php?mod=1\">Об игре</a>";
echo"<a href=\"index.php?game=reg\">Регистрация</a>";
$taim = 600;
$date = time();
$timeout = $date - $taim;
$online = mysql_num_rows(mysql_query("SELECT * FROM table_online WHERE laikas > '$timeout'"));
echo "<a href=\"index.php?game=online\">В игре ($online)</a> ";

echo"<a href=\"index.php?game=statik\">Статистика сервера</a>";
echo"<a href=\"index.php?game=osada\">Осады замков</a>";
echo"<a href=\"info_faq.php?mod=2\">История мира</a>";
echo"<a href=\"info_faq.php?mod=bl\">Библиотека</a>";
echo"<a href=\"index.php?game=svyaz\">Контакты</a>";
echo "<a href=\"index.php?game=partner\">Партнеры</a></div> ";
echo"<center>Игра 'Линейка' © 2012 </center>";
echo"<center>".date("H:i:s")."</center><br/>";
echo '<center><a href="http://waplog.net/c.shtml?363046"><img src="http://c.waplog.net/363046.cnt" alt="waplog" /></a></center>';
echo'</div>';
echo'<div class="foot">';
info_compress();
?>













